Bug 879938 - rhevm-config: when we remove a domain with rhevm-manage-domains we are not asked for authentication or issued any warning
rhevm-config: when we remove a domain with rhevm-manage-domains we are not as...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-config (Show other bugs)
3.1.0
x86_64 Linux
medium Severity medium
: ---
: 3.2.0
Assigned To: Ravi Nori
Pavel Stehlik
infra
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-11-25 11:13 EST by Dafna Ron
Modified: 2016-02-10 14:20 EST (History)
6 users (show)

See Also:
Fixed In Version: sf6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 04:19:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dafna Ron 2012-11-25 11:13:58 EST
Description of problem:

when running rhevm-manage-domains --delete I was not asked for authentication and there was no 'are you sure' conformation. 

Version-Release number of selected component (if applicable):

si24.4

How reproducible:

100%

Steps to Reproduce:
1. add a domain: rhevm-manage-domains -action=add -domain=domain -provider=ActiveDirectory -user=vdcadmin -interactive
2. remove the domain: rhevm-manage-domains -action=delete -domain=domain -provider=ActiveDirectory -user=vdcadmin -interactive 
3.
  
Actual results:

we do not ask for authentication and there is no 'are you sure' warning. 

Expected results:

we should authenticate and be asked if we are sure before domain delete. 

Additional info:

[root@dafna-web-admin scripts]# rhevm-manage-domains -action=delete -domain=XXXXX -provider=ActiveDirectory -user=vdcadmin -interactive 
WARNING: Domain XXXXX is the last domain in the configuration. After deleting it you will have to either add another domain, or to use the internal admin user in order to login.
Successfully deleted domain qa.lab.tlv.redhat.com. Please remove all users and groups of this domain using the Administration portal or the API. oVirt Engine restart is required in order for the changes to take place (service ovirt-engine restart).
Manage Domains completed successfully
Comment 1 Itamar Heim 2012-11-26 06:29:58 EST
there is no need to ask for authentication, but a prompt to approve delete would be nice (need to have an option to reply in advance for automated flows)
Comment 2 Ravi Nori 2012-11-29 13:54:46 EST
link : http://gerrit.ovirt.org/#/c/9585/

change id : I770269eccdc4a2d0645d96cf48b660ad22d42f9d
Comment 4 Itamar Heim 2013-06-11 04:19:58 EDT
3.2 has been released
Comment 5 Itamar Heim 2013-06-11 04:23:37 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.